### Virtual Method

# Atk Text get_range_extents

since: 1.3

#### Declaration [src]

    void
    get_range_extents (
      AtkText* text,
      gint start_offset,
      gint end_offset,
      AtkCoordType coord_type,
      AtkTextRectangle* rect
    )

#### Description [src]

Get the bounding box for text within the specified range.

If the extents can not be obtained (e.g. or missing support), the rectangle fields are set to -1.

Available since: 1.3

#### Parameters

`start_offset`

  Type: `gint`

  The offset of the first text character for which boundary information is required.

`end_offset`

  Type: `gint`

  The offset of the text character after the last character for which boundary information is required.

`coord_type`

  Type: `AtkCoordType`

  Specify whether coordinates are relative to the screen or widget window.

`rect`

  Type: `AtkTextRectangle`

  A pointer to a AtkTextRectangle which is filled in by this function.

  The argument will be set by the function.
  The returned data is owned by the instance.